Class Specialization
Pmsp
Represents the Pmsp algorithm of Davila et al.

MotifFinder

Pmsp

MotifFinder<TValue, Pmsp>
Include Headers
seqan/find_motif.h
Parameters

TValue | The type of sequences to be analyzed. Types: AminoAcid, Dna

Remarks
The Pmsp algorithm is an improvement of the Pms1 algorithm. It examines each possible l-mer of the first input sequence, explores its neighborhood and finally checks whether an l-mer in the neighborhood is a motif instance.
Specialization of
MotifFinder
Metafunctions

Value | Type of the items in the container. (MotifFinder)

Functions

displayResult | Displays all found motif candidates. In the case of the Projection Motif Finder the function displays the consensus pattern of the found motif candidate. (MotifFinder)
findMotif | Represents the main function which is used to start the search for noticeable motif patterns. (MotifFinder)
getMotif | Gets the motif out of a MotifFinder. If pos is given, the pos-th motif is returned, otherwise the first motif is returned. (MotifFinder)
motifCount | Gets number of motifs in the MotifFinder. (MotifFinder)

Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51